<script setup>

import VerticalCard from "@/components/atoms/card/vertical-card/VerticalCard.vue";
import Flex from "@/components/atoms/container/Flex.vue";
import CardDropdown from "@/components/organisms/card/CardDropdown.vue";
import CardTitle from "@/components/atoms/card/CardTitle.vue";
import {computed} from "vue";

const props = defineProps({
  title: String|null,
})

const truncatedTitle = computed(() => {
  if(!props.title){
    return '';
  }

  if(props.title.length <= 35) {
    return props.title;
  }

  return props.title.substring(0,32) + "..."
})
</script>

<template>
  <VerticalCard>
    <Flex v-if="$slots.menu" class="justify-between px-4 h-14 bg-main">
      <CardTitle v-show="title" :title="title">{{ truncatedTitle }}</CardTitle>
      <CardDropdown>
        <slot name="menu"/>
      </CardDropdown>
    </Flex>
    <slot/>
  </VerticalCard>
</template>
